Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.repository
Class RulesRepositoryException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.drools.repository.RulesRepositoryException

All Implemented Interfaces:
  java.io.Serializable

    public class RulesRepositoryException

extends java.lang.Exception

The main exception thrown by classes in this package. May contain an error message and/or another nested exception.

Author:
  btruitt
See Also:
  Serialized Form

Constructor Summary
`RulesRepositoryException()` Default constructor.
`RulesRepositoryException(java.lang.String message)` Constructs a new instance of this class with the specified detail message.
`RulesRepositoryException(java.lang.String message, java.lang.Throwable rootCause)` Constructs a new instance of this class with the specified detail message and root cause.
`RulesRepositoryException(java.lang.Throwable rootCause)` Constructs a new instance of this class with the specified root cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RulesRepositoryException

    public RulesRepositoryException()

  Default constructor. constructs a RulesRepositoryException object with null as its detail message

### RulesRepositoryException

    public RulesRepositoryException(java.lang.String message)

  Constructs a new instance of this class with the specified detail message.

  Parameters:
    `message` - the message to set for the exception

### RulesRepositoryException

    public RulesRepositoryException(java.lang.Throwable rootCause)

  Constructs a new instance of this class with the specified root cause.

  Parameters:
    `rootCause` - root failure cause

### RulesRepositoryException

    public RulesRepositoryException(java.lang.String message,
                                    java.lang.Throwable rootCause)

  Constructs a new instance of this class with the specified detail message and root cause.

  Parameters:
    `message` - the message to set for the exception
    `rootCause` - root failure cause

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Rackspace Corp. All Rights Reserved.